'use strict';

var _Demo = require('../demo/Demo');

var _Demo2 = _interopRequireDefault(_Demo);

var _Button = require('./Button');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _storybook = require('@devexperts/tools/lib/utils/storybook');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var demoStyle = {
    fontWeight: 'bold',
    color: 'blue'
};
(0, _storybook.storiesOf)('Button', module).add('Default', function () {
    return _react2.default.createElement(_Demo2.default, null, _react2.default.createElement(_Button.Button, null, "Default"), _react2.default.createElement(_Button.Button, { isDisabled: true }, "Disabled"), _react2.default.createElement(_Button.Button, { style: demoStyle }, "Styled"));
}).add('Primary', function () {
    return _react2.default.createElement(_Demo2.default, null, _react2.default.createElement(_Button.Button, { isPrimary: true }, "Primary"), _react2.default.createElement(_Button.Button, { isPrimary: true, isDisabled: true }, "Disabled"));
}).add('Flat', function () {
    return _react2.default.createElement(_Demo2.default, null, _react2.default.createElement(_Button.Button, { isFlat: true }, "Flat"), _react2.default.createElement(_Button.Button, { isFlat: true, isDisabled: true }, "Flat Disabled"), _react2.default.createElement(_Button.Button, { isPrimary: true, isFlat: true }, "Primary Flat"), _react2.default.createElement(_Button.Button, { isPrimary: true, isFlat: true, isDisabled: true }, "Primary Flat Disabled"));
}).add('Loading', function () {
    return _react2.default.createElement(_Demo2.default, null, _react2.default.createElement(_Button.Button, { isLoading: true }, "Loading"), _react2.default.createElement(_Button.Button, { isDisabled: true, isLoading: true }, "Loading Disabled"), _react2.default.createElement(_Button.Button, { isFlat: true, isLoading: true }, "Loading Flat"), _react2.default.createElement(_Button.Button, { isFlat: true, isLoading: true, isDisabled: true }, "Loading Flat Disabled"));
});