'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _tslib = require('tslib');

var tslib_1 = _interopRequireWildcard(_tslib);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _storybook = require('@devexperts/tools/lib/utils/storybook');

var _Demo = require('../demo/Demo');

var _Demo2 = _interopRequireDefault(_Demo);

var _LoadingIndication = require('./LoadingIndication');

var _pure = require('../../utils/pure');

var _Button = require('../Button/Button');

var _LoadingIndicationPage = require('./LoadingIndication.page.styl');

var _LoadingIndicationPage2 = _interopRequireDefault(_LoadingIndicationPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var LoadingIndicationPage = function (_React$Component) {
    _inherits(LoadingIndicationPage, _React$Component);

    function LoadingIndicationPage() {
        _classCallCheck(this, LoadingIndicationPage);

        var _this = _possibleConstructorReturn(this, (LoadingIndicationPage.__proto__ || Object.getPrototypeOf(LoadingIndicationPage)).apply(this, arguments));

        _this.state = {
            isVisible: false
        };
        _this.onToggleClick = function () {
            _this.setState({
                isVisible: !_this.state.isVisible
            });
        };
        return _this;
    }

    _createClass(LoadingIndicationPage, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement(_Demo2.default, null, _react2.default.createElement("section", { className: _LoadingIndicationPage2.default.section }, _react2.default.createElement("p", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla vel elit sit amet purus sollicitudin sagittis eget a nibh. Fusce a ornare odio, fringilla lobortis dui. Vivamus in fermentum sem. Vivamus pulvinar varius blandit. Sed nec purus posuere, molestie ante vitae, aliquam sem. Donec mauris dui, venenatis eu metus vel, scelerisque malesuada sem. Ut interdum"), _react2.default.createElement(_LoadingIndication.LoadingIndication, { isVisible: this.state.isVisible })), _react2.default.createElement(_Button.Button, { onClick: this.onToggleClick }, "Toggle"));
        }
    }]);

    return LoadingIndicationPage;
}(_react2.default.Component);
LoadingIndicationPage = tslib_1.__decorate([_pure.PURE], LoadingIndicationPage);
(0, _storybook.storiesOf)('LoadingIndication', module).add('default', function () {
    return _react2.default.createElement(LoadingIndicationPage, null);
});