"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var Button_1 = require("../Button/Button");
var pure_1 = require("../../utils/pure");
var withTheme_1 = require("../../utils/withTheme");
exports.BUTTON_ICON = Symbol('ButtonIcon');
var RawButtonIcon = /** @class */function (_super) {
    tslib_1.__extends(RawButtonIcon, _super);
    function RawButtonIcon() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RawButtonIcon.prototype.render = function () {
        var _a = this.props,
            theme = _a.theme,
            _b = _a.Button,
            Button = _b === void 0 ? Button_1.Button : _b,
            children = _a.children,
            icon = _a.icon,
            props = tslib_1.__rest(_a, ["theme", "Button", "children", "icon"]);
        return React.createElement(Button, tslib_1.__assign({}, props, { theme: theme }), React.createElement("span", { className: theme.icon }, icon), children);
    };
    RawButtonIcon = tslib_1.__decorate([pure_1.PURE], RawButtonIcon);
    return RawButtonIcon;
}(React.Component);
exports.ButtonIcon = withTheme_1.withTheme(exports.BUTTON_ICON)(RawButtonIcon);