"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var withTheme_1 = require("../../utils/withTheme");
var LoadingIndicator_1 = require("../LoadingIndicator/LoadingIndicator");
var pure_1 = require("../../utils/pure");
var cn = require("classnames");
exports.LOADING_INDICATION = Symbol('LoadingIndicaton');
var RawLoadingIndicaton = /** @class */function (_super) {
    tslib_1.__extends(RawLoadingIndicaton, _super);
    function RawLoadingIndicaton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RawLoadingIndicaton.prototype.render = function () {
        var _a = this.props,
            theme = _a.theme,
            isVisible = _a.isVisible,
            LoadingIndicator = _a.LoadingIndicator;
        var className = cn(theme.container, (_b = {}, _b[theme.container_isVisible] = isVisible, _b));
        return React.createElement("div", { className: className }, React.createElement(LoadingIndicator, { theme: theme.LoadingIndicator }));
        var _b;
    };
    RawLoadingIndicaton.defaultProps = {
        LoadingIndicator: LoadingIndicator_1.LoadingIndicator
    };
    RawLoadingIndicaton = tslib_1.__decorate([pure_1.PURE], RawLoadingIndicaton);
    return RawLoadingIndicaton;
}(React.Component);
exports.LoadingIndication = withTheme_1.withTheme(exports.LOADING_INDICATION)(RawLoadingIndicaton);