'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.CHECKBOX = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _tslib = require('tslib');

var tslib_1 = _interopRequireWildcard(_tslib);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _pure = require('../../utils/pure');

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

var _Demo = require('../demo/Demo');

var _Demo2 = _interopRequireDefault(_Demo);

var _checkboxTickIcon = require('../../icons/checkbox-tick-icon');

var _Checkbox = require('./Checkbox');

var _storybook = require('@devexperts/tools/lib/utils/storybook');

var _CheckboxPage = require('./Checkbox.page.styl');

var _CheckboxPage2 = _interopRequireDefault(_CheckboxPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var darkDemoTheme = {
    container: _CheckboxPage2.default.container,
    view: _CheckboxPage2.default.view,
    icon: _CheckboxPage2.default.icon,
    icon_isDisabled: _CheckboxPage2.default.icon_isDisabled
};
var CHECKBOX = exports.CHECKBOX = 'Checkbox';
var CheckboxPage = function (_React$Component) {
    _inherits(CheckboxPage, _React$Component);

    function CheckboxPage() {
        _classCallCheck(this, CheckboxPage);

        var _this = _possibleConstructorReturn(this, (CheckboxPage.__proto__ || Object.getPrototypeOf(CheckboxPage)).apply(this, arguments));

        _this.state = {
            isChecked: true
        };
        _this.onChangeHandler = function (value) {
            _this.setState({
                isChecked: value
            });
        };
        return _this;
    }

    _createClass(CheckboxPage, [{
        key: 'render',
        value: function render() {
            var labelClassName = (0, _classnames3.default)(_CheckboxPage2.default.label, _defineProperty({}, _CheckboxPage2.default.label_isDisabled, this.props.isDisabled));
            return _react2.default.createElement(_Demo2.default, null, _react2.default.createElement("div", { className: _CheckboxPage2.default.container }, _react2.default.createElement("label", { htmlFor: "check1", className: labelClassName }, _react2.default.createElement(_Checkbox.Checkbox, { theme: darkDemoTheme, checkMark: _react2.default.createElement(_checkboxTickIcon.CheckboxTickIcon, null), value: this.state.isChecked, onValueChange: this.onChangeHandler, isDisabled: this.props.isDisabled, id: "check1" }), "I'am controlled checkbox")));
        }
    }]);

    return CheckboxPage;
}(_react2.default.Component);
CheckboxPage = tslib_1.__decorate([_pure.PURE], CheckboxPage);
(0, _storybook.storiesOf)('Checkbox', module).add('default', function () {
    return _react2.default.createElement(CheckboxPage, { isDisabled: _storybook.knobs.boolean('isDisabled', false) });
}).add('disabled', function () {
    return _react2.default.createElement(CheckboxPage, { isDisabled: true });
});