'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.CONTEXT_TYPES = exports.SCROLLABLE_CONTEXT_EMITTER = exports.ScrollableInternalEmitter = exports.EVENT_SCROLABLE = undefined;

var _CONTEXT_TYPES;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _Emitter2 = require('@devexperts/utils/lib/emitter/Emitter');

var _Emitter3 = _interopRequireDefault(_Emitter2);

var _propTypes = require('prop-types');

var PropTypes = _interopRequireWildcard(_propTypes);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var EVENT_SCROLABLE = exports.EVENT_SCROLABLE = {
    RESIZE: 'EVENT_SCROLABLE:RESIZE',
    SCROLL: 'EVENT_SCROLLABLE:SROLL',
    SCROLLBAR_UPDATE: 'EVENT_SCROLABLE:SCROLLBAR_UPDATE'
};

var ScrollableInternalEmitter = exports.ScrollableInternalEmitter = function (_Emitter) {
    _inherits(ScrollableInternalEmitter, _Emitter);

    function ScrollableInternalEmitter() {
        _classCallCheck(this, ScrollableInternalEmitter);

        return _possibleConstructorReturn(this, (ScrollableInternalEmitter.__proto__ || Object.getPrototypeOf(ScrollableInternalEmitter)).apply(this, arguments));
    }

    _createClass(ScrollableInternalEmitter, [{
        key: 'emit',
        value: function emit(event) {
            for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
                args[_key - 1] = arguments[_key];
            }

            this._emit.apply(this, [event].concat(args));
        }
    }]);

    return ScrollableInternalEmitter;
}(_Emitter3.default);

var SCROLLABLE_CONTEXT_EMITTER = exports.SCROLLABLE_CONTEXT_EMITTER = '__SCROLLABLE__CONTEXT_EMITTER__';
var CONTEXT_TYPES = exports.CONTEXT_TYPES = (_CONTEXT_TYPES = {}, _defineProperty(_CONTEXT_TYPES, SCROLLABLE_CONTEXT_EMITTER.toString(), PropTypes.instanceOf(ScrollableInternalEmitter).isRequired), _defineProperty(_CONTEXT_TYPES, 'size', PropTypes.shape({
    width: PropTypes.number,
    height: PropTypes.number
})), _CONTEXT_TYPES);